gr::gfdm::resource_mapper_cc Class Reference

Take timeslots * active_subcarriers items and map them on a vector for GFDM modulation. More...

`#include <resource_mapper_cc.h>`

Inheritance diagram for gr::gfdm::resource_mapper_cc:
[legend]

## Public Types

typedef boost::shared_ptr< resource_mapper_cc > | sptr

## Static Public Member Functions

static sptr | make (int timeslots, int subcarriers, int active_subcarriers, std::vector< int >subcarrier_map, bool per_timeslot)
| Return a shared_ptr to a new instance of gfdm::resource_mapper_cc. More...

## Detailed Description

Take timeslots * active_subcarriers items and map them on a vector for GFDM modulation.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<resource_mapper_cc> gr::gfdm::resource_mapper_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::resource_mapper_cc::make | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::resource_mapper_cc.

To avoid accidental use of raw pointers, gfdm::resource_mapper_cc's constructor is in a private implementation class. gfdm::resource_mapper_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- resource_mapper_cc.h